%define upstream_name    Config-Model-Itself
%define upstream_version 1.245

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Edit and validate configuration models
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(Config::Model) >= 2.30.0
BuildRequires: perl(Config::Model::TkUI) >= 1.210.0
BuildRequires: perl(Data::Compare)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Mouse)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::File::Contents)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tk)
BuildRequires: perl(YAML::Any)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
The Config::Itself and its model files provide a model of Config:Model
(hence the Itself name).

Let's step back a little to explain. Any configuration data is, in essence,
structured data. This data could be stored in an XML file. A configuration
model is a way to describe the structure and relation of all items of a
configuration data set.

This configuration model is also expressed as structured data. This
structure data is structured and follow a set of rules which are described
for humans in the Config::Model manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
# skip tests, require a virtual frame buffer
#xvfb-run -n 14 ./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/config-model-edit
%{perl_vendorlib}/Config


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.245.0-3.mga6
+ Revision: 1024302
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.245.0-2.mga6
+ Revision: 968861
- Mageia 6 Mass Rebuild

* Mon Jul 20 2015 sander85 <sander85> 1.245.0-1.mga6
+ Revision: 855682
- update to 1.245

* Sat Jul 04 2015 sander85 <sander85> 1.244.0-1.mga6
+ Revision: 850538
- update to 1.244

* Sun Oct 19 2014 umeabot <umeabot> 1.240.0-4.mga5
+ Revision: 789840
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.240.0-3.mga5
+ Revision: 740538
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.240.0-2.mga5
+ Revision: 683991
- Mageia 5 Mass Rebuild

* Fri May 23 2014 sander85 <sander85> 1.240.0-1.mga5
+ Revision: 625126
- update to 1.240

* Thu Mar 20 2014 jquelin <jquelin> 1.239.0-3.mga5
+ Revision: 606079
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.239.0-2.mga4
+ Revision: 533385
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 sander85 <sander85> 1.239.0-1.mga4
+ Revision: 472880
- update to 1.239

* Sun Aug 25 2013 sander85 <sander85> 1.238.0-1.mga4
+ Revision: 471744
- update to 1.238

* Mon Jun 10 2013 jquelin <jquelin> 1.237.0-1.mga4
+ Revision: 441487
- update to 1.237
- perl 5.18.0 rebuild
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.234.0-2.mga3
+ Revision: 364698
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 1.234.0-1.mga3
+ Revision: 317619
- update to 1.234

* Tue Nov 06 2012 jquelin <jquelin> 1.232.0-3.mga3
+ Revision: 314945
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 1.232.0-2.mga3
+ Revision: 283537
- perl 5.16.1 rebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.232.0-1.mga3
+ Revision: 267281
- update to 1.232

* Mon Jun 18 2012 kharec <kharec> 1.231.0-1.mga3
+ Revision: 261495
- update to 1.231

* Mon Jun 04 2012 jquelin <jquelin> 1.228.0-2.mga3
+ Revision: 254196
- fix shebang with new perl 5.16 path

* Thu Dec 08 2011 kharec <kharec> 1.228.0-1.mga2
+ Revision: 179116
- update to 1.228

* Sat Nov 05 2011 kharec <kharec> 1.227.0-1.mga2
+ Revision: 163725
- update to 1.227

* Fri Oct 14 2011 jquelin <jquelin> 1.226.0-3.mga2
+ Revision: 155130
- perl 5.14.2 rebuild

* Fri Oct 14 2011 jquelin <jquelin> 1.226.0-2.mga2
+ Revision: 155127
- perl 5.14.2 rebuild

* Sun Sep 18 2011 jquelin <jquelin> 1.226.0-1.mga2
+ Revision: 144899
- remove old tarball reference

  + takashi <takashi>
    - update to 1.226

* Tue Jun 21 2011 jquelin <jquelin> 1.225.0-1.mga2
+ Revision: 111413
- update to 1.225

* Sun Jun 19 2011 jquelin <jquelin> 1.224.0-2.mga2
+ Revision: 109884
- rebuild script for perl 5.14.1

* Fri Apr 08 2011 jquelin <jquelin> 1.224.0-1.mga1
+ Revision: 82227
- update to 1.224

* Thu Jan 27 2011 jquelin <jquelin> 1.222.0-1.mga1
+ Revision: 42027
- update to 1.222
- mageia rebuild
- imported package perl-Config-Model-Itself

